# Considerations

It's important to understand the use case of any application before diving into development. **What problem are you trying to solve?**

The emergence of _bitcoin_ solved one of the worlds greatest problems in a pretty significant way. For the first time ever, people could reliably send money across the internet without the need for a middleman, or third party. People were, understandably, sick and tired of relying on banks and their slow, inefficient, costly transaction process of sending international payments. In 2018, the U.S. banking system had $17.9 trillion in assets and a net income of \$236.8 billion, and for what exactly? What exactly do banks do that allow them to create and retain such significant sums of value? **TRUST.** These institutions have aquired a significant level of trust from our society that allow them to manage this value. This trust can ultimately be replaced by cryptography.

> Today's economy relies so heavily on trusting people to do the right thing, but in 2008 we saw that diminish with the housing market crash, and that gave way to this new peer-to-peer electronic cash system.

So before you dive into building decentralized applications, it's important to ask the questions: "What am I trying to build, and how can Shardus help in doing so?"

> A good example of an application you could build that solves a major problem today, would be a decentralized social network. In the last couple of years, Facebook has seen the spotlight of some major trust issues regarding user data. Whether or not these claims are true, it's a good opportunity to observe the problem at hand, and build something to fix it. Imagine a decentralized social network you could actually trust private information on? Twitter has also been called out by some to censor users on one end of the polical spectrum. Someone could aim to fix this through a network of peers that decide to censor a tweet, rather than a person/company that doesn't agree with your opinion.

The value seen in decentralized applications come from a trusted ecosystem where the users decide what's best for the network, so it's beneficial to think about these aspects before diving into a project.
